Index: doc/singular.idx
===================================================================
--- doc/singular.idx	(revision a719149f9dbe9f99164ada14b6234f2f7b085283)
+++ doc/singular.idx	(revision a070b84d59be835a2946d1386edd3221d80f3fe7)
@@ -954,233 +1006,234 @@
 bigintmat operations	bigintmat operations	sing_82.htm#SEC122	
 bigintmat type cast		sing_81.htm#SEC121	
-bimodules		sing_546.htm#IDX291	
-bimodules.lib		sing_546.htm#SEC598	
-bimodules_lib		sing_546.htm#SEC598	
-binary_add		sing_1950.htm#SEC2026	
-binomial		sing_938.htm#SEC1014	
-binomials2intmat		sing_1313.htm#SEC1389	58804
-birational map, image, inverse.		sing_1407.htm#IDX539	
-bistd		sing_547.htm#SEC599	
-bisyzygies		sing_546.htm#IDX292	
-bitrinity		sing_548.htm#SEC600	
+bimodules		sing_547.htm#IDX297	
+bimodules.lib		sing_547.htm#SEC599	
+bimodules_lib		sing_547.htm#SEC599	
+binary_add		sing_1953.htm#SEC2029	
+binomial		sing_940.htm#SEC1016	
+binomials2intmat		sing_1316.htm#SEC1392	58804
+birational map, image, inverse.		sing_1410.htm#IDX546	
+bistd		sing_548.htm#SEC600	
+bisyzygies		sing_547.htm#IDX298	
+bitrinity		sing_549.htm#SEC601	
 blackbox		sing_243.htm#SEC283	
 blackbox 		sing_251.htm#SEC291	
 block		sing_40.htm#SEC70	
 block 		sing_425.htm#SEC465	
-blowUp		sing_1458.htm#SEC1534	
-blowUp2		sing_1459.htm#SEC1535	
-blowUpBO		sing_1465.htm#SEC1541	
-blowup0		sing_1165.htm#SEC1241	
-boolean		sing_2147.htm#IDX813	
+blowUp		sing_1461.htm#SEC1537	
+blowUp2		sing_1462.htm#SEC1538	
+blowUpBO		sing_1468.htm#SEC1544	
+blowup0		sing_1168.htm#SEC1244	
+boolean		sing_2150.htm#IDX820	
 boolean expressions		sing_95.htm#SEC135	
 boolean operations		sing_96.htm#SEC136	
-boolean_constant		sing_2108.htm#SEC2184	52873
-boolean_ideal		sing_2112.htm#SEC2188	53515
-boolean_poly		sing_2109.htm#SEC2185	41652
-boolean_poly_ring		sing_2107.htm#SEC2183	sprintf
-boolean_set		sing_2113.htm#SEC2189	58235
-boolean_std		sing_2106.htm#SEC2182	5921
-boundBuFou		sing_2027.htm#SEC2103	
-boundDes		sing_2029.htm#SEC2105	
-boundaryLatticePoints	boundaryLatticePoints	sing_2422.htm#SEC2498	
-boundposDes		sing_2028.htm#SEC2104	
-bracket		sing_406.htm#IDX191	
+boolean_constant		sing_2111.htm#SEC2187	52873
+boolean_ideal		sing_2115.htm#SEC2191	53515
+boolean_poly		sing_2112.htm#SEC2188	41652
+boolean_poly_ring		sing_2110.htm#SEC2186	sprintf
+boolean_set		sing_2116.htm#SEC2192	58235
+boolean_std		sing_2109.htm#SEC2185	5921
+boundBuFou		sing_2030.htm#SEC2106	
+boundDes		sing_2032.htm#SEC2108	
+boundaryLatticePoints	boundaryLatticePoints	sing_2427.htm#SEC2503	
+boundposDes		sing_2031.htm#SEC2107	
+bracket		sing_406.htm#IDX196	
 bracket 		sing_462.htm#SEC502	
-bracket  		sing_504.htm#SEC544	
-braid		sing_2148.htm#IDX815	
+bracket  		sing_505.htm#SEC545	
+braid		sing_2151.htm#IDX822	
 branchTo	procs with different argument types	sing_155.htm#SEC195	
 break		sing_427.htm#SEC467	
 break point		sing_441.htm#SEC481	
 breakpoint		sing_428.htm#SEC468	
-brillnoether.lib		sing_2170.htm#SEC2246	
-brillnoether_lib		sing_2170.htm#SEC2246	
-brnoeth.lib		sing_1823.htm#SEC1899	
-brnoeth_lib		sing_1823.htm#SEC1899	
+brillnoether.lib		sing_2173.htm#SEC2249	
+brillnoether_lib		sing_2173.htm#SEC2249	
+brnoeth.lib		sing_1826.htm#SEC1902	
+brnoeth_lib		sing_1826.htm#SEC1902	
 browser, command line option	Command line options	sing_19.htm#IDX44	
-browser, setting the		sing_406.htm#IDX187	
+browser, setting the		sing_406.htm#IDX192	
 browsers	The online help system	sing_16.htm#IDX21	
-browsers, setting the		sing_406.htm#IDX186	
-bubblesort		sing_1900.htm#SEC1976	
-busadj		sing_1119.htm#SEC1195	
-bvar		sing_2120.htm#SEC2196	52773
-c, module ordering		sing_895.htm#IDX403	
-cProj		sing_2212.htm#SEC2288	
-calculateI		sing_1432.htm#SEC1508	
-calculate_max_sum		sing_1969.htm#SEC2045	
-calculate_ordering		sing_1947.htm#SEC2023	
-cancelunit, option		sing_364.htm#IDX166	
-canonMap		sing_1193.htm#SEC1269	
+browsers, setting the		sing_406.htm#IDX191	
+bubblesort		sing_1903.htm#SEC1979	
+busadj		sing_1122.htm#SEC1198	
+bvar		sing_2123.htm#SEC2199	52773
+c, module ordering		sing_897.htm#IDX409	
+cProj		sing_2215.htm#SEC2291	
+calculateI		sing_1435.htm#SEC1511	
+calculate_max_sum		sing_1972.htm#SEC2048	
+calculate_ordering		sing_1950.htm#SEC2026	
+cancelunit, option		sing_364.htm#IDX171	
+canonMap		sing_1196.htm#SEC1272	
 canonicalizeCone		sing_188.htm#SEC228	
-canonize		sing_1869.htm#SEC1945	
-cantoradd		sing_1983.htm#SEC2059	
-cantormult		sing_1986.htm#SEC2062	
-cantorred		sing_1984.htm#SEC2060	
-cardGroup		sing_1162.htm#SEC1238	
+canonize		sing_1872.htm#SEC1948	
+cantoradd		sing_1986.htm#SEC2062	
+cantormult		sing_1989.htm#SEC2065	
+cantorred		sing_1987.htm#SEC2063	
+cardGroup		sing_1165.htm#SEC1241	
 case	No case or switch statement	sing_460.htm#SEC500	
 cdd		sing_1.htm#IDX10	
 cddlib		sing_1.htm#IDX11	
-center		sing_567.htm#IDX310	
-center 		sing_573.htm#SEC625	
-center  		sing_2135.htm#IDX795	
-center   		sing_2136.htm#IDX796	
-center    		sing_2137.htm#IDX798	
-center     		sing_2138.htm#IDX800	
-centerRed		sing_572.htm#SEC624	
-centerVS		sing_571.htm#SEC623	
-central		sing_2129.htm#IDX781	
-central 		sing_2136.htm#IDX797	
-central  		sing_2138.htm#IDX799	
-central   		sing_2152.htm#IDX824	
-central.lib		sing_567.htm#SEC619	
-central1st		sing_2267.htm#SEC2343	
-central2nd		sing_2268.htm#SEC2344	
-central_lib		sing_567.htm#SEC619	
-centralize		sing_567.htm#IDX313	
-centralizeSet		sing_568.htm#SEC620	
-centralizer		sing_567.htm#IDX311	
-centralizer 		sing_574.htm#SEC626	
-centralizerRed		sing_570.htm#SEC622	
-centralizerVS		sing_569.htm#SEC621	
-cgs		sing_932.htm#SEC1008	
-cgsdr		sing_957.htm#SEC1033	
-chAll		sing_2182.htm#SEC2258	
-chAllInv		sing_2183.htm#SEC2259	
-chDual		sing_2188.htm#SEC2264	
-chHE		sing_2184.htm#SEC2260	
-chHom		sing_2197.htm#SEC2273	
-chNum		sing_2178.htm#SEC2254	
-chNumbers		sing_2179.htm#SEC2255	
-chNumbersProj		sing_2216.htm#SEC2292	
-chProd		sing_2190.htm#SEC2266	
-chProdE		sing_2191.htm#SEC2267	
-chProdL		sing_2192.htm#SEC2268	
-chProdLP		sing_2193.htm#SEC2269	
-chProdM		sing_2194.htm#SEC2270	
-chProdMP		sing_2195.htm#SEC2271	
-chProj		sing_2213.htm#SEC2289	
-chSum		sing_2186.htm#SEC2262	
-chSymm		sing_2200.htm#SEC2276	
-chSymm2L		sing_2201.htm#SEC2277	
-chSymm2LP		sing_2202.htm#SEC2278	
-chWedge		sing_2203.htm#SEC2279	
-chWedge2L		sing_2204.htm#SEC2280	
-chWedge2LP		sing_2205.htm#SEC2281	
-chaincrit		sing_1997.htm#SEC2073	
-chambers		sing_2167.htm#IDX852	
-chambers 		sing_2168.htm#IDX853	
-changeDenominator		sing_1286.htm#SEC1362	
-changechar		sing_1028.htm#SEC1104	
-changeord		sing_1029.htm#SEC1105	
-changeordTo		sing_1052.htm#SEC1128	
-changes		sing_2465.htm#SEC2541	
-changevar		sing_1030.htm#SEC1106	
+center		sing_568.htm#IDX316	
+center 		sing_574.htm#SEC626	
+center  		sing_2138.htm#IDX802	
+center   		sing_2139.htm#IDX803	
+center    		sing_2140.htm#IDX805	
+center     		sing_2141.htm#IDX807	
+centerRed		sing_573.htm#SEC625	
+centerVS		sing_572.htm#SEC624	
+central		sing_2132.htm#IDX788	
+central 		sing_2139.htm#IDX804	
+central  		sing_2141.htm#IDX806	
+central   		sing_2155.htm#IDX831	
+central.lib		sing_568.htm#SEC620	
+central1st		sing_2270.htm#SEC2346	
+central2nd		sing_2271.htm#SEC2347	
+central_lib		sing_568.htm#SEC620	
+centralize		sing_568.htm#IDX319	
+centralizeSet		sing_569.htm#SEC621	
+centralizer		sing_568.htm#IDX317	
+centralizer 		sing_575.htm#SEC627	
+centralizerRed		sing_571.htm#SEC623	
+centralizerVS		sing_570.htm#SEC622	
+cf_class		sing_261.htm#IDX132	
+cgs		sing_934.htm#SEC1010	
+cgsdr		sing_959.htm#SEC1035	
+chAll		sing_2185.htm#SEC2261	
+chAllInv		sing_2186.htm#SEC2262	
+chDual		sing_2191.htm#SEC2267	
+chHE		sing_2187.htm#SEC2263	
+chHom		sing_2200.htm#SEC2276	
+chNum		sing_2181.htm#SEC2257	
+chNumbers		sing_2182.htm#SEC2258	
+chNumbersProj		sing_2219.htm#SEC2295	
+chProd		sing_2193.htm#SEC2269	
+chProdE		sing_2194.htm#SEC2270	
+chProdL		sing_2195.htm#SEC2271	
+chProdLP		sing_2196.htm#SEC2272	
+chProdM		sing_2197.htm#SEC2273	
+chProdMP		sing_2198.htm#SEC2274	
+chProj		sing_2216.htm#SEC2292	
+chSum		sing_2189.htm#SEC2265	
+chSymm		sing_2203.htm#SEC2279	
+chSymm2L		sing_2204.htm#SEC2280	
+chSymm2LP		sing_2205.htm#SEC2281	
+chWedge		sing_2206.htm#SEC2282	
+chWedge2L		sing_2207.htm#SEC2283	
+chWedge2LP		sing_2208.htm#SEC2284	
+chaincrit		sing_2000.htm#SEC2076	
+chambers		sing_2170.htm#IDX859	
+chambers 		sing_2171.htm#IDX860	
+changeDenominator		sing_1289.htm#SEC1365	
+changechar		sing_1030.htm#SEC1106	
+changeord		sing_1031.htm#SEC1107	
+changeordTo		sing_1055.htm#SEC1131	
+changes		sing_2470.htm#SEC2546	
+changevar		sing_1032.htm#SEC1108	
 char		sing_264.htm#SEC304	
-charInfo		sing_628.htm#SEC680	
-charVariety		sing_627.htm#SEC679	
+charInfo		sing_629.htm#SEC681	
+charVariety		sing_628.htm#SEC680	
 char_series		sing_265.htm#SEC305	
-characteristic exponents		sing_1506.htm#IDX563	
-characteristic exponents 		sing_1507.htm#IDX568	
-characteristic exponents  		sing_1508.htm#IDX571	
-characteristic exponents   		sing_1509.htm#IDX575	
-characteristic exponents    		sing_1593.htm#IDX681	
-characteristic polynomial		sing_2165.htm#IDX850	
-characteristic variety		sing_611.htm#IDX338	
-characteristic variety 		sing_815.htm#IDX372	
-charexp2conductor		sing_1509.htm#SEC1585	
-charexp2generators		sing_1507.htm#SEC1583	
-charexp2inter		sing_1508.htm#SEC1584	
-charexp2multseq		sing_1506.htm#SEC1582	
-charexp2poly		sing_1510.htm#SEC1586	
-charpoly		sing_1120.htm#SEC1196	
+characteristic exponents		sing_1509.htm#IDX570	
+characteristic exponents 		sing_1510.htm#IDX575	
+characteristic exponents  		sing_1511.htm#IDX578	
+characteristic exponents   		sing_1512.htm#IDX582	
+characteristic exponents    		sing_1596.htm#IDX688	
+characteristic polynomial		sing_2168.htm#IDX857	
+characteristic variety		sing_612.htm#IDX344	
+characteristic variety 		sing_817.htm#IDX378	
+charexp2conductor		sing_1512.htm#SEC1588	
+charexp2generators		sing_1510.htm#SEC1586	
+charexp2inter		sing_1511.htm#SEC1587	
+charexp2multseq		sing_1509.htm#SEC1585	
+charexp2poly		sing_1513.htm#SEC1589	
+charpoly		sing_1123.htm#SEC1199	
 charstr		sing_266.htm#SEC306	
-checkFactor		sing_604.htm#SEC656	
-checkRoot		sing_599.htm#SEC651	
-chern		sing_2177.htm#SEC2253	
-chern.lib		sing_2172.htm#SEC2248	
-chernCharPoly		sing_2219.htm#SEC2295	
-chernPoly		sing_2218.htm#SEC2294	
-chern_lib		sing_2172.htm#SEC2248	
-chineseRem		sing_1918.htm#SEC1994	
+checkFactor		sing_605.htm#SEC657	
+checkRoot		sing_600.htm#SEC652	
+chern		sing_2180.htm#SEC2256	
+chern.lib		sing_2175.htm#SEC2251	
+chernCharPoly		sing_2222.htm#SEC2298	
+chernPoly		sing_2221.htm#SEC2297	
+chern_lib		sing_2175.htm#SEC2251	
+chineseRem		sing_1921.htm#SEC1997	
 chinrem		sing_267.htm#SEC307	
-chinrempoly		sing_2394.htm#SEC2470	
-chinrestp		sing_1977.htm#SEC2053	
-cimonom.lib		sing_2229.htm#SEC2305	
-cimonom_lib		sing_2229.htm#SEC2305	
-cisimplicial.lib		sing_1158.htm#SEC1234	
-cisimplicial_lib		sing_1158.htm#SEC1234	
-classify		sing_1519.htm#SEC1595	
-classify.lib		sing_1517.htm#SEC1593	
-classifyCeq		sing_1536.htm#SEC1612	
-classify_lib		sing_1517.htm#SEC1593	
-classifyceq.lib		sing_1535.htm#IDX578	
-classifyceq_lib		sing_1535.htm#IDX579	
-classifyci.lib		sing_1537.htm#IDX580	
-classifyci_lib		sing_1537.htm#IDX581	
-classifyicis		sing_1538.htm#SEC1614	
-classpoly		sing_2217.htm#SEC2293	
-cleanTmp		sing_2098.htm#SEC2174	
-cleanunit		sing_1430.htm#SEC1506	
+chinrempoly		sing_2397.htm#SEC2473	
+chinrestp		sing_1980.htm#SEC2056	
+cimonom.lib		sing_2232.htm#SEC2308	
+cimonom_lib		sing_2232.htm#SEC2308	
+cisimplicial.lib		sing_1161.htm#SEC1237	
+cisimplicial_lib		sing_1161.htm#SEC1237	
+classify		sing_1522.htm#SEC1598	
+classify.lib		sing_1520.htm#SEC1596	
+classifyCeq		sing_1539.htm#SEC1615	
+classify_lib		sing_1520.htm#SEC1596	
+classifyceq.lib		sing_1538.htm#IDX585	
+classifyceq_lib		sing_1538.htm#IDX586	
+classifyci.lib		sing_1540.htm#IDX587	
+classifyci_lib		sing_1540.htm#IDX588	
+classifyicis		sing_1541.htm#SEC1617	
+classpoly		sing_2220.htm#SEC2296	
+cleanTmp		sing_2101.htm#SEC2177	
+cleanunit		sing_1433.htm#SEC1509	
 cleardenom		sing_268.htm#SEC308	
 close		sing_269.htm#SEC309	
-closed_points		sing_1833.htm#SEC1909	
-closetex		sing_1800.htm#SEC1876	
-closureFrac		sing_1279.htm#SEC1355	
-coHom		sing_808.htm#SEC860	
-codim		sing_1631.htm#SEC1707	
+closed_points		sing_1836.htm#SEC1912	
+closetex		sing_1803.htm#SEC1879	
+closureFrac		sing_1282.htm#SEC1358	
+coHom		sing_810.htm#SEC862	
+codim		sing_1634.htm#SEC1710	
 codimension		sing_189.htm#SEC229	
-coding theory		sing_887.htm#SEC939	
+coding theory		sing_889.htm#SEC941	
 coef		sing_270.htm#SEC310	
-coefficient		sing_2128.htm#IDX777	
-coefficient 		sing_2129.htm#IDX780	
-coefficient  		sing_2130.htm#IDX784	
+coefficient		sing_2131.htm#IDX784	
+coefficient 		sing_2132.htm#IDX787	
+coefficient  		sing_2133.htm#IDX791	
 coefficient field		sing_139.htm#SEC179	
 coefficient rings, ring of integers, zero divisors, p-adic numbers	Coefficient rings	sing_32.htm#SEC45	
-coefficients, long		sing_846.htm#SEC898	
-coeffmod		sing_1895.htm#SEC1971	
+coefficients, long		sing_848.htm#SEC900	
+coeffmod		sing_1898.htm#SEC1974	
 coeffs		sing_271.htm#SEC311	
-collectDiv		sing_1475.htm#SEC1551	
-colrank		sing_1867.htm#SEC1943	
-colred		sing_1103.htm#SEC1179	
-commRing		sing_839.htm#SEC891	
+collectDiv		sing_1478.htm#SEC1554	
+colrank		sing_1870.htm#SEC1946	
+colred		sing_1106.htm#SEC1182	
+commRing		sing_841.htm#SEC893	
 comma		sing_461.htm#SEC501	
 command,custom	Commands for user defined types	sing_181.htm#SEC221	
-command-line option, setting value of		sing_406.htm#IDX269	
-command-line option, value of		sing_406.htm#IDX267	
-command-line options, print all values of		sing_406.htm#IDX266	
+command-line option, setting value of		sing_406.htm#IDX275	
+command-line option, value of		sing_406.htm#IDX273	
+command-line options, print all values of		sing_406.htm#IDX272	
 command-line options, short help	Command line options	sing_19.htm#IDX38	
-commands (plural)		sing_502.htm#IDX290	
+commands (plural)		sing_503.htm#IDX296	
 comment		sing_36.htm#IDX108	
-compareTasks		sing_1067.htm#SEC1143	
-completeReduction		sing_1709.htm#SEC1785	
+compareTasks		sing_1070.htm#SEC1146	
+completeReduction		sing_1712.htm#SEC1788	
 complex		sing_28.htm#IDX75	
-complexSingType		sing_1533.htm#SEC1609	
-compregb.lib		sing_931.htm#SEC1007	
-compregb_lib		sing_931.htm#SEC1007	
-comprehensive Groebner system		sing_931.htm#IDX409	
-compress		sing_1080.htm#SEC1156	
-computeConstant		sing_1178.htm#SEC1254	
-computeGromovWitten		sing_1181.htm#SEC1257	
-computeN		sing_1479.htm#SEC1555	
-computeV		sing_1478.htm#SEC1554	
-computemcm		sing_1437.htm#SEC1513	
-concat		sing_1081.htm#SEC1157	
-conductor		sing_1509.htm#IDX574	
-conductor, degree		sing_1593.htm#IDX684	
+complexSingType		sing_1536.htm#SEC1612	
+compregb.lib		sing_933.htm#SEC1009	
+compregb_lib		sing_933.htm#SEC1009	
+comprehensive Groebner system		sing_933.htm#IDX415	
+compress		sing_1083.htm#SEC1159	
+computeConstant		sing_1181.htm#SEC1257	
+computeGromovWitten		sing_1184.htm#SEC1260	
+computeN		sing_1482.htm#SEC1558	
+computeV		sing_1481.htm#SEC1557	
+computemcm		sing_1440.htm#SEC1516	
+concat		sing_1084.htm#SEC1160	
+conductor		sing_1512.htm#IDX581	
+conductor, degree		sing_1596.htm#IDX691	
 cone		sing_183.htm#SEC223	
-cone 		sing_2141.htm#IDX804	
-cone  		sing_2142.htm#IDX806	
+cone 		sing_2144.htm#IDX811	
+cone  		sing_2145.htm#IDX813	
 cone related functions	cone related functions	sing_186.htm#SEC226	
 coneLink		sing_190.htm#SEC230	
 coneViaInequalities		sing_185.htm#SEC225	
 coneViaPoints		sing_184.htm#SEC224	
-conic, parametrization, rational point.		sing_1414.htm#IDX544	
-conicWithTangents		sing_2074.htm#SEC2150	
-constructH		sing_1438.htm#SEC1514	
-constructblwup		sing_1439.htm#SEC1515	
-constructlastblwup		sing_1440.htm#SEC1516	
-constructor		sing_2158.htm#IDX837	
-constructor 		sing_2159.htm#IDX840	
-contact matrix		sing_1508.htm#IDX570	
-containedQ		sing_1788.htm#SEC1864	
+conic, parametrization, rational point.		sing_1417.htm#IDX551	
+conicWithTangents		sing_2077.htm#SEC2153	
+constructH		sing_1441.htm#SEC1517	
+constructblwup		sing_1442.htm#SEC1518	
+constructlastblwup		sing_1443.htm#SEC1519	
+constructor		sing_2161.htm#IDX844	
+constructor 		sing_2162.htm#IDX847	
+contact matrix		sing_1511.htm#IDX577	
+containedQ		sing_1791.htm#SEC1867	
 containsAsFace		sing_191.htm#SEC231	
 containsInCollection	containsInCollection	sing_223.htm#SEC263	
